function sprintf(str,val){
    var index=1;
    while(str.indexOf('%') != -1){
        if(typeof(arguments[index]) === 'undefined'){
            return str;
        }
        var t = str.substr(str.indexOf('%') + 1 , 1);
        switch(t){
            case 'd':
                str = str.replace('%' + t , arguments[index++]);
                break;
            case 's':
                str=str.replace('%' + t , arguments[index++])
        }
    }
    return str;
}


$(function(){
    $('#keyword').bind('focus' , function(){
        if($(this).val() == $(this).attr('dtext')){
            $(this).val('');
        }
    });
    $('#keyword').bind('blur' , function(){
        if($(this).val() == ''){
            $(this).val($(this).attr('dtext'));
        }
    });

    $('#searchbtn').bind('click' , function(){
        if($('#keyword').val() == $('#keyword').attr('dtext')){
            $('#keyword').val('').focus();
        }else{
            location.href = $(this).attr('ajaxurl') + $('#keyword').val();
        }
    });

    $('.playerr').bind('click' , function(){
        var url = $(this).attr('ajaxurl');
        $.get(url , function(){
            alert('感谢您的反馈!');
        });
    });

    $.ajax({
        type        : "GET",
        url         : $('#loginbar').attr('ajaxurl'),
        cache       : false,
        success     : function(d){
            $('#loginbar').html(d);
        }
    });
    
    /* {{{ Dialog
     */
    $('#loginbar').on('click' , '.dialog' , function(){
        var url     = $(this).attr('ajaxurl');
        var title   = $(this).attr('title');
        var lock    = $(this).attr('lock') == '1' ? true : false;
        $.dialog({
            id      : 'ajax_dialog' ,
            content : 'url:' + url,
            title   : title ,
            padding : 0 ,
            drag    : false,
            cache   : false,
            min     : false,
            max     : false,
            lock    : lock
        });
    });

    $('#loginbar').on('click' , 'div' , function(){
        $('.user-menu-ul').show();
    });

    $('#loginbar').on('mouseleave' , 'ul' , function(){
        $('.user-menu-ul').hide();
    });

    $('.stypes-warper').bind('click' , function(e){
        
        $('#stypes').addClass('shover')
    });

    $('.stypes-li').hover(
        function(){
            $(this).addClass("stypes-li-hover");
        } , 
        function(){
            $(this).removeClass("stypes-li-hover");
        }
    );

    $('.stypes-li').on('click' , function(e){
        $('#searchbtn').attr('ajaxurl' , $(this).attr('ctype'));
        $('#stype').html($(this).html());
        $('#stypes').removeClass('shover');
        e.stopPropagation();
    });

    $('#stypes').on('mouseleave' , function(){
        $('#stypes').removeClass('shover');
    });

    $('.vod-reply-btn').on('click' , function(){
        if(!window.islogined){
            $('#user-login-btn').trigger('click');
        }else{
            var url     = $(this).attr('ajaxurl');
            var title   = $(this).attr('title');
            $.dialog({
                id      : 'ajax_reply_dialog' ,
                content : 'url:' + url,
                title   : title ,
                padding : 0 ,
                drag    : false,
                cache   : false,
                min     : false,
                max     : false
            });
        }
    });
});